// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "Collider3D.hpp"

namespace Dawn {
  class CubeCollider : public Collider3D {
    public:
      glm::vec3 center = glm::vec3(0, 0, 0);
      glm::vec3 size = glm::vec3(1, 1, 1);

      CubeCollider(SceneItem *item);
      
      bool_t raycast(struct Ray3D ray, struct Collider3DRayResult *out)override;
  };
}